
      INTEGER*4 function getfakepi0(fpi0nrun, fpi0nsub, fpi0nev)

      IMPLICIT NONE

      INTEGER*4 fpi0nrun,fpi0nsub,fpi0nev
      INTEGER*4 IDATA(300),NDATA
      REAL*4    RDATA(300)
      EQUIVALENCE (IDATA(1),RDATA(1))

      INTEGER*4 lbank, idummy

      getfakepi0 = 0

c  Read hybrid pi0 bank
      CALL KZBLOC('FAKEPI0',LBANK)
      IF (LBANK.eq.0) THEN
         write(*,*) 'Does not contain FAKEPI0 bank'
         RETURN
      ENDIF

      CALL KZGET1('FAKEPI0',0,NDATA,IDATA)
      idummy = IDATA(1)

      CALL KZGET1('FAKEPI0',1,NDATA,IDATA)

      getfakepi0 = LBANK

      fpi0nrun = idata(3)        !e->nrun ;
      fpi0nsub = idata(4)        !e->nsub ;
      fpi0nev  = idata(5)        !e->nev ;

      return
      end
